<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:clickable="true"
    android:layout_height="match_parent"
    tools:context=".ui.Schlafzimmer.SchlafzimmerFragment">

    <ImageView
        android:id="@+id/Background"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:scaleType="centerCrop"
        android:src="@drawable/fog_background"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.5"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintVertical_bias="0.0" />

    <ImageView
        android:id="@drawable/backgroundoverlay"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginStart="-25dp"
        android:layout_marginLeft="-25dp"
        android:layout_marginTop="-25dp"
        android:layout_marginEnd="-25dp"
        android:layout_marginRight="-25dp"
        android:layout_marginBottom="-25dp"
        android:scaleType="centerCrop"
        android:src="@drawable/backgroundoverlay"
        app:layout_constraintBottom_toBottomOf="@+id/textView2"
        app:layout_constraintEnd_toEndOf="@+id/schlafzimmeru1aus"
        app:layout_constraintStart_toStartOf="@+id/schlafzimmeru1an"
        app:layout_constraintTop_toTopOf="@+id/textView5" />

    <Button
        android:id="@+id/schlafzimmeru3aus"
        android:layout_width="wrap_content"
        android:layout_height="40dp"
        android:layout_marginStart="10dp"
        android:layout_marginLeft="10dp"
        android:background="@drawable/button_right"
        android:hapticFeedbackEnabled="true"
        android:text="@string/aus"
        app:backgroundTint="@null"
        app:layout_constraintBottom_toBottomOf="@+id/textView2"
        app:layout_constraintStart_toEndOf="@+id/textView2"
        app:layout_constraintTop_toTopOf="@+id/textView2" />

    <Button
        android:id="@+id/schlafzimmeru3an"
        android:layout_width="wrap_content"
        android:layout_height="40dp"
        android:layout_marginEnd="10dp"
        android:layout_marginRight="10dp"
        android:background="@drawable/button_left"
        android:hapticFeedbackEnabled="true"
        android:text="@string/an"
        app:backgroundTint="@null"
        app:layout_constraintBottom_toBottomOf="@+id/textView2"
        app:layout_constraintEnd_toStartOf="@+id/textView2"
        app:layout_constraintTop_toTopOf="@+id/textView2" />

    <Button
        android:id="@+id/schlafzimmeru2aus"
        android:layout_width="wrap_content"
        android:layout_height="40dp"
        android:layout_marginStart="10dp"
        android:layout_marginLeft="10dp"
        android:background="@drawable/button_right"
        android:hapticFeedbackEnabled="true"
        android:text="@string/aus"
        app:backgroundTint="@null"
        app:layout_constraintBottom_toBottomOf="@+id/textView3"
        app:layout_constraintStart_toEndOf="@+id/textView3"
        app:layout_constraintTop_toTopOf="@+id/textView3" />

    <Button
        android:id="@+id/schlafzimmeru2an"
        android:layout_width="wrap_content"
        android:layout_height="40dp"
        android:layout_marginEnd="10dp"
        android:layout_marginRight="10dp"
        android:background="@drawable/button_left"
        android:hapticFeedbackEnabled="true"
        android:text="@string/an"
        app:backgroundTint="@null"
        app:layout_constraintBottom_toBottomOf="@+id/textView3"
        app:layout_constraintEnd_toStartOf="@+id/textView3"
        app:layout_constraintTop_toTopOf="@+id/textView3" />

    <Button
        android:id="@+id/schlafzimmeru1an"
        android:layout_width="wrap_content"
        android:layout_height="40dp"
        android:layout_marginEnd="10dp"
        android:layout_marginRight="10dp"
        android:background="@drawable/button_left"
        android:hapticFeedbackEnabled="true"
        android:text="@string/an"
        app:backgroundTint="@null"
        app:layout_constraintBottom_toBottomOf="@+id/textView5"
        app:layout_constraintEnd_toStartOf="@+id/textView5"
        app:layout_constraintTop_toTopOf="@+id/textView5" />

    <TextView
        android:id="@+id/textView5"
        android:layout_width="100dp"
        android:layout_height="40dp"
        android:layout_marginTop="200dp"
        android:background="@drawable/button_middle"
        android:gravity="center"
        android:text="STECKDOSE 1"
        android:textAlignment="center"
        android:textColor="@color/mtrl_btn_text_color_selector"
        android:textSize="14sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.498"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="@+id/Background" />

    <TextView
        android:id="@+id/textView2"
        android:layout_width="100dp"
        android:layout_height="40dp"
        android:layout_marginTop="100dp"
        android:background="@drawable/button_middle"
        android:gravity="center"
        android:text="STECKDOSE 3"
        android:textAlignment="center"
        android:textColor="@color/mtrl_btn_text_color_selector"
        android:textSize="14sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.498"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/textView3" />

    <TextView
        android:id="@+id/textView3"
        android:layout_width="100dp"
        android:layout_height="40dp"
        android:layout_marginTop="100dp"
        android:background="@drawable/button_middle"
        android:gravity="center"
        android:text="STECKDOSE 2"
        android:textAlignment="center"
        android:textColor="@color/mtrl_btn_text_color_selector"
        android:textSize="14sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_bias="0.498"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/textView5" />

    <Button
        android:id="@+id/schlafzimmeru1aus"
        android:layout_width="wrap_content"
        android:layout_height="40dp"
        android:layout_marginStart="10dp"
        android:layout_marginLeft="10dp"
        android:background="@drawable/button_right"
        android:hapticFeedbackEnabled="true"
        android:text="@string/aus"
        app:backgroundTint="@null"
        app:layout_constraintBottom_toBottomOf="@+id/textView5"
        app:layout_constraintStart_toEndOf="@+id/textView5"
        app:layout_constraintTop_toTopOf="@+id/textView5" />

</androidx.constraintlayout.widget.ConstraintLayout>